Loading...
Searching...
No Matches
dict-utils.h File Reference
SPA » Parameters

spa/param/dict-utils.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_DICT_UTILS static inline

## Functions

SPA_API_DICT_UTILS int | spa_param_dict_compare (const struct spa_pod *a, const struct spa_pod *b)
SPA_API_DICT_UTILS struct spa_pod * | spa_param_dict_build_dict (struct spa_pod_builder *builder, uint32_t id, struct spa_dict *dict)
SPA_API_DICT_UTILS struct spa_pod * | spa_param_dict_build_info (struct spa_pod_builder *builder, uint32_t id, struct spa_param_dict_info *info)
SPA_API_DICT_UTILS int | spa_param_dict_parse (const struct spa_pod *dict, struct spa_param_dict_info *info, size_t size)
SPA_API_DICT_UTILS int | spa_param_dict_info_parse (const struct spa_param_dict_info *info, size_t size, struct spa_dict *dict, struct spa_dict_item *items)

## Detailed Description

spa/param/dict-utils.h